package com.atlassian.confluence.extra.workflow;

import com.atlassian.confluence.event.events.ConfluenceEvent;
import com.atlassian.user.User;

/**
 * Created by IntelliJ IDEA.
 * User: Tomd
 * Date: 10/05/2005
 * Time: 09:48:12
 * To change this template use File | Settings | File Templates.
 */
public class WorkflowEvent extends ConfluenceEvent
{
    private final Operation operation;
    private final WorkflowClient client;
    private final User user;

    public WorkflowEvent(Object src, Operation operation, WorkflowClient client, User user)
    {
        super(src);
        this.operation = operation;
        this.client = client;
        this.user = user;
    }

    public Operation getOperation()
    {
        return operation;
    }

    public WorkflowClient getClient()
    {
        return client;
    }

    public User getUser()
    {
        return user;
    }
}
